### A free/open-source library for quantitative finance

Public Member Functions
AmericanPayoffAtExpiry Class Reference

Analytic formula for American exercise payoff at-expiry options. More...

`#include <ql/pricingengines/americanpayoffatexpiry.hpp>`

List of all members.

## Public Member Functions

| AmericanPayoffAtExpiry (Real spot, DiscountFactor discount, DiscountFactor dividendDiscount, Real variance, const boost::shared_ptr< StrikedTypePayoff > &payoff)
Real | value () const

## Detailed Description

Analytic formula for American exercise payoff at-expiry options.

Possible enhancements:
  calculate greeks